
Redmine - Feature #1101

Custom Fields in Add Filter

2008-04-24 18:55 - Daniel Jones

Status: Closed Start date: 2008-04-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

We want to show custom fields as an available filter in the Add Filter drop down under My Page - Reported Issues.  Currently it is

visible under the project where it is setup but not under the main issue search.

Related issues:

Related to Redmine - Patch #1765: Patch for #1101 (Custom Fields in Add Filter) Closed 2008-08-11

History

#1 - 2008-05-12 19:24 - gabriel scolan

you just need to defined your "custom field" as 'searchable' and/or 'Used as a filter'

#2 - 2008-05-12 20:26 - Daniel Jones

The field is defined as both "searchable" and "used as a filter", and while it is Searchable and Filterable under the projects where it associated, it is

not visible under the "My Page"-->"View All Issues"-->"Add Filter:" dropdown.

#3 - 2008-06-14 17:32 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

#4 - 2008-07-04 04:15 - Ewan Makepeace

+1

#5 - 2008-08-07 13:33 - David Marín Carreño

- Target version set to 0.8

#6 - 2008-08-11 05:20 - Mischa The Evil

Daniel Jones: What versions have you tested this with? Still an issue? Sure it was an issue custom-field?

If I test with a fresh checkout at r1725 this does work as specified.

#7 - 2008-08-11 08:29 - David Marín Carreño

With last 0.7 version it's still an issue. I can use custom fields when searching issues from a single project. But I cannot use them for multiple-projects

searches. Even if that custom field is used in all projects.

#8 - 2008-08-11 15:37 - Mischa The Evil

Ahh, I see. I did some searching and found out that described functionality is added to the trunk only with r1576. Looking at the changes it is maybe

possible to port them back into the 0.7-branch.

I'll try to take a look at that later...

#9 - 2008-08-11 16:16 - Mischa The Evil

See #1765 for a patch which backports the changes from r1576 to the 0.7-stable branch.

HTH.

#10 - 2008-11-11 10:39 - Jean-Philippe Lang

- Target version deleted (0.8)
#11 - 2009-04-26 14:05 - Jean-Philippe Lang

- Status changed from New to Closed

Closing this ticket since 0.7 is now obsolete.

#12 - 2010-06-10 17:27 - Daniel Ruggiero

- Status changed from Closed to Reopened

Hi Jean

Is it possible to reactive this feature. Looks like it was developed for an old version but wasn't continued.

Since I use a lot Project and Subproject to organize the issues into them, i have created custom fields at a project level (Administration\Custom

Fields\Projects). Now, I need to be able to see those custom fields into the Add Filter drop down list.

Thanks and regards

#13 - 2010-11-14 00:41 - Mischa The Evil

- Category deleted (Search engine)

- Status changed from Reopened to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Fixed

Daniel Ruggiero wrote:

Is it possible to reactive this feature. Looks like it was developed for an old version but wasn't continued.

 This feature (Add filters on cross-project issue list for custom fields marked as 'For all projects' [Mischa: read " issue custom fields "]) was integrated

in r1576 and included in the core starting from Redmine 0.8 and all later releases upto current DEVEL-code in the trunk (source:/trunk).

This issue was (along with issue #1765) kept open for reference-purposes only for Redmine 0.7 users. As J-PL stated earlier: "0.7 is now obsolete"

thus this issue needs to be closed.

Daniel Ruggiero wrote:

Since I use a lot Project and Subproject to organize the issues into them, i have created custom fields at a project level (Administration\Custom

Fields\Projects). Now, I need to be able to see those custom fields into the Add Filter drop down list.

 What you are describing above is another feature: "Add filters on cross-project issue list for projects custom fields".

Such a feature hasn't been integrated within the Redmine core AFAIK. I'd suggest you do some searching for such (related) issues and open a new

one if such does not exist yet.

Kind regards,

Mischa.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/1576
https://www.redmine.org/versions/2
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk
https://www.redmine.org/issues/1765
https://www.redmine.org/versions/1
http://www.tcpdf.org

